### Method

# Soup Multipart append_part

#### Declaration [src]

    void
    soup_multipart_append_part (
      SoupMultipart* multipart,
      SoupMessageHeaders* headers,
      GBytes* body
    )

#### Description [src]

Adds a new MIME part to `multipart` with the given headers and body.

(The multipart will make its own copies of `headers` and `body`, so you should free your copies if you are not using them for anything else.)

#### Parameters

`headers`

  Type: `SoupMessageHeaders`

  The MIME part headers.

  The data is owned by the caller of the function.

`body`

  Type: `GBytes`

  The MIME part body.

  The data is owned by the caller of the function.